Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

UBuntu Touch for LS970 (Sprint LG Optimus G)

OP Aremis117

30th March 2014, 04:22 AM   |  #1  
OP Junior Member
GEE AHR
Thanks Meter: 1
 
16 posts
Join Date:Joined: Mar 2014
More
Hey guys

I have a completely unlocked ls970 and it is currently running cyanogenmod and I am enjoying it a ton but I would love to play with UBU Touch. Has anyone made a good and working install?

I am working on it myself but I have had errors in trying to do it.

For example:

In trying to mount UBU Touch from Clockwork backup I get this

Code:
 Install Zip > /0 > preinstalled-touch-armel+mako.zip
Then it will error at

Code:
 Installing Update. . .   
assert failed: getprop("ro.product.device") == "mako" || getprop("ro.build.product") == "mako"    
  E: Error in /data/media/0/[The rom]  
status 7   
Installation Aborted
The packages I have came from the ubuntu forums and can be easily found. I assumed that the errors were because of the build.prop but the install should still go for the firmware upgrade..... Right?

Anyways I am working on it but it is going really slowly. I want to make a set of packages for someone to just download and do it if they want to. I have dualbooted android and cyanogenmod (didn't actually -rm my memory and it did a dual boot without partitioning and it didn't show any of the other stuff) and it worked successfully.

If someone made a package or has one that will work please post!
30th March 2014, 02:49 PM   |  #2  
nikwen's Avatar
Recognized Contributor
Thanks Meter: 1,407
 
2,805 posts
Join Date:Joined: Feb 2013
More
Oh, the file "preinstalled-touch-armel+mako.zip" is for mako/Nexus 4. It does not work on any other phone. Feel lucky that it did not brick your phone.

Maybe have a look at this one: http://forum.xda-developers.com/show....php?t=2651425
30th March 2014, 05:13 PM   |  #3  
OP Junior Member
GEE AHR
Thanks Meter: 1
 
16 posts
Join Date:Joined: Mar 2014
More
I understand that but the phones have pretty much the same hardware. There's like 2 different systems between the two and that's battery and something or another with the sound card. I got another armel package to work and ubut booted for a second and then it crashed, the phone reset, and it went into android.

Plus, the most bricked I have gotten is with the original installation on the phone. I also backed up everything so I could just format and reflash the ROM. No biggie.

Sent from my LG-LS970 using xda app-developers app
30th March 2014, 08:08 PM   |  #4  
OP Junior Member
GEE AHR
Thanks Meter: 1
 
16 posts
Join Date:Joined: Mar 2014
More
Quote:
Originally Posted by nikwen

Oh, the file "preinstalled-touch-armel+mako.zip" is for mako/Nexus 4. It does not work on any other phone. Feel lucky that it did not brick your phone.

Maybe have a look at this one: http://forum.xda-developers.com/show....php?t=2651425

There is also packages youi need prior to actually doing any of that and to be honest my laptop screeming at me I DON'T HAVE THIS HURR is a little annoying.

Backto slamming my head into the wall.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes